<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package videohost_pro
 */

	$content = get_the_content();

	global $has_embed;

	preg_match  ('/<iframe(.+)\"/', $content, $matches);
	if (!empty($matches)) {
		$has_embed = true;
	}

	preg_match  ('/<object(.+)\"/', $content, $matches);
	if (!empty($matches)) {
		$has_embed = true;
	}

	preg_match  ('/<embed(.+)\"/', $content, $matches);
	if (!empty($matches)) {
		$has_embed = true;
	}

	if (strpos($content, '[embed]') !== false) {
	    $has_embed = true;
	}

	//echo $source;
?>

<?php if ( get_theme_mod('breadcrumbs-on', false) == true ) { ?>

<div class="breadcrumbs">
	<a href="<?php echo home_url(); ?>"><?php esc_html_e('Home', 'videohost-pro'); ?></a> <span>&rsaquo;</span> <?php videohost_pro_first_category(); ?> <span>&rsaquo;</span> <?php the_title(); ?>
</div>

<?php } ?>

<article id="post-<?php the_ID(); ?>" <?php if( ($has_embed == true || videohost_pro_has_embed()) ) { post_class('has-embed'); } else { post_class(); }; ?>>

	<header class="entry-header">	

		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<?php get_template_part( 'template-parts/entry', 'meta' ); ?>

	</header><!-- .entry-header -->

	<div class="entry-content">

		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'videohost-pro' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'videohost-pro' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<div class="entry-tags clear">

		<?php if (has_tag()) { ?><span class="tag-links"><?php the_tags(' ', ' '); ?></span><?php } ?>
			
		<?php
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post */
					esc_html__( 'Edit %s', 'videohost-pro' ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				),
				'<span class="edit-link">',
				'</span>'
			);
		?>
	</div><!-- .entry-tags -->

	<?php 
		if ( get_theme_mod('single-share-on', true) ) : 
			get_template_part( 'template-parts/entry', 'share' ); 
		endif;
	?>

</article><!-- #post-## -->

<?php
	
	if ( get_theme_mod('related-posts-on', true) ) : 
	 
	// Get the taxonomy terms of the current page for the specified taxonomy.
	$terms = wp_get_post_terms( get_the_ID(), 'category', array( 'fields' => 'ids' ) );

	// Bail if the term empty.
	if ( empty( $terms ) ) {
		return;
	}

	// Posts query arguments.
	$query = array(
		'post__not_in' => array( get_the_ID() ),
		'tax_query'    => array(
			array(
				'taxonomy' => 'category',
				'field'    => 'id',
				'terms'    => $terms,
				'operator' => 'IN'
			)
		),
		'posts_per_page' => 6,
		'post_type'      => 'post',
	);

	// Allow dev to filter the query.
	$args = apply_filters( 'videohost_pro_related_posts_args', $query );

	// The post query
	$related = new WP_Query( $args );

	if ( $related->have_posts() ) : $i = 1; ?>

		<div class="entry-related clear">
			<h3><?php esc_html_e('You might like', 'videohost-pro'); ?></h3>
			<div class="related-loop clear">
				<?php 
					while ( $related->have_posts() ) : $related->the_post(); 

					global $post;	
					$video_length = get_post_meta($post->ID, 'video_length', true);	

					$class = ( 0 == $i % 3 ) ? 'hentry last' : 'hentry';
				?>
					<div class="<?php echo esc_attr( $class ); ?>">
						<?php if ( has_post_thumbnail() && ( get_the_post_thumbnail() != null ) ) { ?>
							<a class="thumbnail-link" href="<?php the_permalink(); ?>">
								<div class="thumbnail-wrap">
									<?php 
										the_post_thumbnail('post-thumb'); 
									?>
									<?php if (!empty($video_length)) { ?>
										<span class="video-length"><?php echo $video_length; ?></span>
									<?php } ?>											
								</div><!-- .thumbnail-wrap -->
							</a>
						<?php } ?>				
						<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<div class="entry-meta">

							<span class="entry-date"><?php echo get_the_date('M d, Y'); ?></span>

							<span class="entry-views"><?php echo videohost_pro_get_post_views2(get_the_ID()); ?></span>

						</div><!-- .entry-meta -->						
					</div><!-- .grid -->
				<?php $i++; endwhile; ?>
			</div><!-- .related-posts -->
		</div><!-- .entry-related -->

	<?php endif;

	// Restore original Post Data.
	wp_reset_postdata();

	endif;
?>

<?php if ( get_theme_mod('author-box-on', true) ) : ?>

<div class="author-box clear">
	<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 120 ); ?></a>
	<div class="author-meta">	
		<h4 class="author-name"><?php echo __('About the Author:', 'videohost-pro'); ?> <span><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>"><?php the_author_meta('display_name'); ?></a></span></h4>	
		<div class="author-desc">
			<?php 
				echo the_author_meta('description'); 
			?>
		</div>
	</div>
</div><!-- .author-box -->

<?php endif; ?>